Bug 1409863 - Review Request: highcontrast-qt - HighContrast Qt theme
Summary: Review Request: highcontrast-qt - HighContrast Qt theme
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-03 16:21 UTC by Martin Bříza
Modified: 2017-04-06 09:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-06 09:54:54 UTC
Type: ---
jgrulich: fedora-review+


Attachments (Terms of Use)

Description Martin Bříza 2017-01-03 16:21:35 UTC
Spec URL: https://mbriza.fedorapeople.org/highcontrast-qt.spec
SRPM URL: https://mbriza.fedorapeople.org/highcontrast-qt-0.1-1.fc25.src.rpm
Description: highcontrast-qt is a Qt theme reproducing the look of the HighContrast GTK3 theme. It aims to provide a better experience especially for people with limited eyesight.
Fedora Account System Username: mbriza

Comment 1 Jan Grulich 2017-01-05 11:07:31 UTC
Minor issues:
1) Source url is not valid, should be:
https://github.com/MartinBriza/highcontrast-qt/archive/0.1.tar.gz
2) Use %license instead %doc for license file
3) Missing MIT/X11 license (some files appear to be licensed with it according to licensecheck)
4) Shouldn't summary (for both Qt4 and Qt5 subpackages) say it's HighContrast Qt4/Qt5 theme instead of Adwaita?

Comment 2 Martin Bříza 2017-01-05 14:19:02 UTC
1) you're right, sorry
2) ok
3) seems right
4) whoops, forgot to change that

Since those are just minor issues in the spec, can I change those on package import?

Comment 3 Jan Grulich 2017-01-05 16:27:43 UTC
Sure, otherwise there is no major issue and can be approved.

Comment 4 Gwyn Ciesla 2017-01-05 17:23:33 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/highcontrast-qt


Note You need to log in before you can comment on or make changes to this bug.